lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "dns_monkey/version"

Gem::Specification.new do |gem|
  gem.name          = "dns_monkey"
  gem.version       = DNSMonkey::VERSION
  gem.authors       = [ "Jason Barnett" ]
  gem.email         = [ "jason.w.barnett@gmail.com" ]
  gem.description   = "Simple DNS things"
  gem.summary       = gem.description
  gem.license       = "MIT"
  gem.homepage      = "https://github.com/jasonwbarnett/dns_monkey"

  gem.required_ruby_version = ">= 2.4"

  gem.files = %w{LICENSE} +
    Dir.glob("Gemfile*") + # Includes Gemfile and locks
    Dir.glob("*.gemspec") +
    Dir.glob("{lib,spec}/**/*", File::FNM_DOTMATCH).reject { |f| File.directory?(f) }
  gem.test_files    = gem.files.grep(%r{^spec/})
  gem.require_paths = ["lib"]

  gem.add_development_dependency "rspec", "~> 3.0"
end
